ReadOnlyDriverManagerDataSource (Grails 6.0.0)

Package: org.grails.plugins.datasource

## [Java] Class ReadOnlyDriverManagerDataSource

- org.grails.plugins.datasource.ReadOnlyDriverManagerDataSource

-     public class ReadOnlyDriverManagerDataSource
      extends org.springframework.jdbc.datasource.DriverManagerDataSource

  Used for secondary datasources that are read-only and not pooled.

  Authors:
    Burt Beckwith

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.sql.Connection` | `getConnectionFromDriverManager(java.lang.String url, java.util.Properties props)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.jdbc.datasource.DriverManagerDataSource` | `org.springframework.jdbc.datasource.DriverManagerDataSource#setDriverClassName(java.lang.String), org.springframework.jdbc.datasource.DriverManagerDataSource#setCatalog(java.lang.String), org.springframework.jdbc.datasource.DriverManagerDataSource#getCatalog(), org.springframework.jdbc.datasource.DriverManagerDataSource#setSchema(java.lang.String), org.springframework.jdbc.datasource.DriverManagerDataSource#setConnectionProperties(java.util.Properties), org.springframework.jdbc.datasource.DriverManagerDataSource#getConnectionProperties(), org.springframework.jdbc.datasource.DriverManagerDataSource#getUrl(), org.springframework.jdbc.datasource.DriverManagerDataSource#setUrl(java.lang.String), org.springframework.jdbc.datasource.DriverManagerDataSource#setUsername(java.lang.String), org.springframework.jdbc.datasource.DriverManagerDataSource#setPassword(java.lang.String), org.springframework.jdbc.datasource.DriverManagerDataSource#getUsername(), org.springframework.jdbc.datasource.DriverManagerDataSource#getPassword(), org.springframework.jdbc.datasource.DriverManagerDataSource#getConnection(java.lang.String, java.lang.String), org.springframework.jdbc.datasource.DriverManagerDataSource#getConnection(), org.springframework.jdbc.datasource.DriverManagerDataSource#getSchema(), org.springframework.jdbc.datasource.DriverManagerDataSource#getLoginTimeout(), org.springframework.jdbc.datasource.DriverManagerDataSource#setLoginTimeout(int), org.springframework.jdbc.datasource.DriverManagerDataSource#setLogWriter(java.io.PrintWriter), org.springframework.jdbc.datasource.DriverManagerDataSource#getParentLogger(), org.springframework.jdbc.datasource.DriverManagerDataSource#isWrapperFor(java.lang.Class), org.springframework.jdbc.datasource.DriverManagerDataSource#getLogWriter(), org.springframework.jdbc.datasource.DriverManagerDataSource#unwrap(java.lang.Class), org.springframework.jdbc.datasource.DriverManagerDataSource#wait(long), org.springframework.jdbc.datasource.DriverManagerDataSource#wait(long, int), org.springframework.jdbc.datasource.DriverManagerDataSource#wait(), org.springframework.jdbc.datasource.DriverManagerDataSource#equals(java.lang.Object), org.springframework.jdbc.datasource.DriverManagerDataSource#toString(), org.springframework.jdbc.datasource.DriverManagerDataSource#hashCode(), org.springframework.jdbc.datasource.DriverManagerDataSource#getClass(), org.springframework.jdbc.datasource.DriverManagerDataSource#notify(), org.springframework.jdbc.datasource.DriverManagerDataSource#notifyAll(), org.springframework.jdbc.datasource.DriverManagerDataSource#createConnectionBuilder(), org.springframework.jdbc.datasource.DriverManagerDataSource#createShardingKeyBuilder()`

- - ### Method Detail

    - #### @java.lang.Override protected java.sql.Connection getConnectionFromDriverManager(java.lang.String url, java.util.Properties props)